Package org.flowable.engine.delegate.event.impl

# Class FlowableProcessStartedEventImpl

java.lang.Object
org.flowable.common.engine.impl.event.FlowableEventImpl
org.flowable.common.engine.impl.event.FlowableEngineEventImpl
org.flowable.engine.delegate.event.impl.FlowableProcessEventImpl
org.flowable.engine.delegate.event.impl.FlowableEntityEventImpl
org.flowable.engine.delegate.event.impl.FlowableEntityWithVariablesEventImpl
org.flowable.engine.delegate.event.impl.FlowableProcessStartedEventImpl

All Implemented Interfaces:
  `FlowableEngineEntityEvent`, `FlowableEngineEvent`, `FlowableEntityEvent`, `FlowableEvent`, `FlowableEntityWithVariablesEvent`, `FlowableProcessEngineEvent`, `FlowableProcessStartedEvent`

public class FlowableProcessStartedEventImpl extends FlowableEntityWithVariablesEventImpl implements FlowableProcessStartedEvent
An `FlowableCancelledEvent` implementation.

Author:
  martin.grofcik

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `protected final String`
  `nestedProcessDefinitionId`
  `protected final String`
  `nestedProcessInstanceId`

  ### Fields inherited from class org.flowable.engine.delegate.event.impl.FlowableEntityWithVariablesEventImpl

  `localScope, variables`

  ### Fields inherited from class org.flowable.engine.delegate.event.impl.FlowableEntityEventImpl

  `entity`

  ### Fields inherited from class org.flowable.common.engine.impl.event.FlowableEngineEventImpl

  `scopeDefinitionId, scopeId, scopeType, subScopeId`

  ### Fields inherited from class org.flowable.common.engine.impl.event.FlowableEventImpl

  `type`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `FlowableProcessStartedEventImpl(Object entity, Map variables, boolean localScope)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `getNestedProcessDefinitionId()`
  `String`
  `getNestedProcessInstanceId()`

  ### Methods inherited from class org.flowable.engine.delegate.event.impl.FlowableEntityWithVariablesEventImpl

  `getVariables, isLocalScope`

  ### Methods inherited from class org.flowable.engine.delegate.event.impl.FlowableEntityEventImpl

  `getEntity`

  ### Methods inherited from class org.flowable.engine.delegate.event.impl.FlowableProcessEventImpl

  `getExecution`

  ### Methods inherited from class org.flowable.common.engine.impl.event.FlowableEngineEventImpl

  `getExecutionId, getProcessDefinitionId, getProcessInstanceId, getScopeDefinitionId, getScopeId, getScopeType, getSubScopeId, getType, setExecutionId, setProcessDefinitionId, setProcessInstanceId, setScopeDefinitionId, setScopeId, setScopeType, setSubScopeId, setType`

  ### Methods inherited from class org.flowable.common.engine.impl.event.FlowableEventImpl

  `toString`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

  ### Methods inherited from interface org.flowable.common.engine.api.delegate.event.FlowableEngineEvent

  `getExecutionId, getProcessDefinitionId, getProcessInstanceId, getScopeDefinitionId, getScopeId, getScopeType, getSubScopeId`

  ### Methods inherited from interface org.flowable.common.engine.api.delegate.event.FlowableEntityEvent

  `getEntity`

  ### Methods inherited from interface org.flowable.engine.delegate.event.FlowableEntityWithVariablesEvent

  `getVariables, isLocalScope`

  ### Methods inherited from interface org.flowable.common.engine.api.delegate.event.FlowableEvent

  `getType`

- ## Field Details

  - ### nestedProcessInstanceId

    protected final String nestedProcessInstanceId

  - ### nestedProcessDefinitionId

    protected final String nestedProcessDefinitionId

- ## Constructor Details

  - ### FlowableProcessStartedEventImpl

    public FlowableProcessStartedEventImpl(Object entity, Map variables, boolean localScope)

- ## Method Details

  - ### getNestedProcessInstanceId

    public String getNestedProcessInstanceId()
    Specified by:
      `getNestedProcessInstanceId` in interface `FlowableProcessStartedEvent`
    Returns:
      the id of the process instance of the nested process that starts the current process instance, or null if the current process instance is not started into a nested process.

  - ### getNestedProcessDefinitionId

    public String getNestedProcessDefinitionId()
    Specified by:
      `getNestedProcessDefinitionId` in interface `FlowableProcessStartedEvent`
    Returns:
      the id of the process definition of the nested process that starts the current process instance, or null if the current process instance is not started into a nested process.